# degree

degree of polynomial matrix

## Calling Sequence

    [D]=degree(M)

## Arguments

M

  polynomial matrix

D

  integer matrix

## Description

returns the matrix of highest degrees of `M`.

## Examples

    v=[-2-5*%s+%s^2;-6+11*%s-6*%s^2+%s^3];
    degree(v) // should return 2 and 3

    s=poly(0,"s");
    p=1+s+2*s^42;
    degree(p) // should return 42

## See Also

- poly
- coeff
- clean